[gtk+] GtkFileChooser: Make local-only default to FALSE
- From: Matthias Clasen <matthiasc src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gtk+] GtkFileChooser: Make local-only default to FALSE
- Date: Thu, 17 Nov 2016 14:03:08 +0000 (UTC)
commit 0bc79910e03b69279d0aee8edf76ae5cae63ff65
Author: Matthias Clasen <mclasen redhat com>
Date: Thu Nov 17 09:02:29 2016 -0500
GtkFileChooser: Make local-only default to FALSE
There is no good reason anymore to default to TRUE, and this
default only makes applications miss out on useful functionality.
gtk/gtk-builder-tool | 228 ++++++++++++++++++++
gtk/gtk-encode-symbolic-svg | 228 ++++++++++++++++++++
gtk/gtk-launch | 228 ++++++++++++++++++++
gtk/gtk-query-immodules-4.0 | 228 ++++++++++++++++++++
gtk/gtk-query-settings | 228 ++++++++++++++++++++
gtk/gtk-update-icon-cache | Bin 0 -> 67536 bytes
gtk/gtkfilechooser.c | 2 +-
gtk/gtkfilechooserentry.c | 2 -
gtk/gtkfilechooserwidget.c | 2 +-
gtk/gtkplacesview.c | 1 +
gtk/libgtk3.manifest | 21 ++
.../_colors-public.scssc | Bin 0 -> 23495 bytes
.../_colors.scssc | Bin 0 -> 36911 bytes
.../_common.scssc | Bin 0 -> 1066578 bytes
.../_drawing.scssc | Bin 0 -> 240829 bytes
.../gtk-contained-dark.scssc | Bin 0 -> 1400 bytes
.../gtk-contained.scssc | Bin 0 -> 2117 bytes
gtk/theme/Adwaita/Gemfile.lock | 13 ++
18 files changed, 1177 insertions(+), 4 deletions(-)
---
diff --git a/gtk/gtk-builder-tool b/gtk/gtk-builder-tool
new file mode 100755
index 0000000..ff5fcaf
--- /dev/null
+++ b/gtk/gtk-builder-tool
@@ -0,0 +1,228 @@
+#! /bin/sh
+
+# gtk-builder-tool - temporary wrapper script for .libs/gtk-builder-tool
+# Generated by libtool (GNU libtool) 2.4.6
+#
+# The gtk-builder-tool program cannot be directly executed until all the libtool
+# libraries that it depends on are installed.
+#
+# This wrapper script should never be moved out of the build directory.
+# If it is, it will not operate correctly.
+
+# Sed substitution that helps us do robust quoting. It backslashifies
+# metacharacters that are still active within double-quoted strings.
+sed_quote_subst='s|\([`"$\\]\)|\\\1|g'
+
+# Be Bourne compatible
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+ emulate sh
+ NULLCMD=:
+ # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
+ # is contrary to our usage. Disable this feature.
+ alias -g '${1+"$@"}'='"$@"'
+ setopt NO_GLOB_SUBST
+else
+ case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
+fi
+BIN_SH=xpg4; export BIN_SH # for Tru64
+DUALCASE=1; export DUALCASE # for MKS sh
+
+# The HP-UX ksh and POSIX shell print the target directory to stdout
+# if CDPATH is set.
+(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
+
+relink_command="(cd /home/mclasen/Sources/gtk+/gtk; { test -z \"\${LIBRARY_PATH+set}\" || unset LIBRARY_PATH
|| { LIBRARY_PATH=; export LIBRARY_PATH; }; }; { test -z \"\${COMPILER_PATH+set}\" || unset COMPILER_PATH ||
{ COMPILER_PATH=; export COMPILER_PATH; }; }; { test -z \"\${GCC_EXEC_PREFIX+set}\" || unset GCC_EXEC_PREFIX
|| { GCC_EXEC_PREFIX=; export GCC_EXEC_PREFIX; }; }; { test -z \"\${LD_RUN_PATH+set}\" || unset LD_RUN_PATH
|| { LD_RUN_PATH=; export LD_RUN_PATH; }; }; LD_LIBRARY_PATH=/home/mclasen/gnome/lib; export LD_LIBRARY_PATH;
PATH=/home/mclasen/gnome/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/home/mclasen/.local/bin:/home/mclasen/bin;
export PATH; gcc -ggdb -O0 -Wall -o \$progdir/\$file gtk-builder-tool.o -L/home/mclasen/gnome/lib
./.libs/libgtk-4.so /home/mclasen/Sources/gtk+/gsk/.libs/libgsk-4.so ../gdk/.libs/libgdk-4.so
../gsk/.libs/libgsk-4.so /home/mclasen/Sources/gtk+/gdk/.libs/libgdk-4.so -lXinerama -lXrandr -lXcursor -l
Xext -lrt /home/mclasen/gnome/lib/libpangocairo-1.0.so -lX11 -lXi -lXcomposite -lXdamage -lXfixes
-lcairo-gobject -lcairo /home/mclasen/gnome/lib/libgdk_pixbuf-2.0.so -lpng16 -latk-1.0 -latk-bridge-2.0
-lxkbcommon -lwayland-cursor -lwayland-egl -lwayland-client -lepoxy
/home/mclasen/gnome/lib/libgraphene-1.0.so /home/mclasen/gnome/lib/libpangoft2-1.0.so
/home/mclasen/gnome/lib/libharfbuzz.so /home/mclasen/gnome/lib/libpango-1.0.so
/home/mclasen/gnome/lib/libgthread-2.0.so -lthai -lfontconfig -lfreetype
/home/mclasen/gnome/lib/libgio-2.0.so /home/mclasen/gnome/lib/libgmodule-2.0.so -ldl -lz -lselinux -lresolv
/home/mclasen/gnome/lib/libgobject-2.0.so -lffi /home/mclasen/gnome/lib/libglib-2.0.so -lpcre -lpthread -lm
-pthread -Wl,-rpath -Wl,/home/mclasen/Sources/gtk+/gtk/.libs -Wl,-rpath
-Wl,/home/mclasen/Sources/gtk+/gsk/.libs -Wl,-rpath -Wl,/home/mclasen/Sources/gtk+/gdk/.libs -Wl,-rpath
-Wl,/home/mclasen/gnome/lib -Wl,-rpath -Wl,/home/mclasen/lib -Wl,-rpath -Wl,/home/mclasen
/gnome/lib)"
+
+# This environment variable determines our operation mode.
+if test "$libtool_install_magic" = "%%%MAGIC variable%%%"; then
+ # install mode needs the following variables:
+ generated_by_libtool_version='2.4.6'
+ notinst_deplibs=' libgtk-4.la /home/mclasen/Sources/gtk+/gsk/libgsk-4.la ../gdk/libgdk-4.la
../gsk/libgsk-4.la /home/mclasen/Sources/gtk+/gdk/libgdk-4.la'
+else
+ # When we are sourced in execute mode, $file and $ECHO are already set.
+ if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
+ file="$0"
+
+# A function that is used when there is no print builtin or printf.
+func_fallback_echo ()
+{
+ eval 'cat <<_LTECHO_EOF
+$1
+_LTECHO_EOF'
+}
+ ECHO="printf %s\\n"
+ fi
+
+# Very basic option parsing. These options are (a) specific to
+# the libtool wrapper, (b) are identical between the wrapper
+# /script/ and the wrapper /executable/ that is used only on
+# windows platforms, and (c) all begin with the string --lt-
+# (application programs are unlikely to have options that match
+# this pattern).
+#
+# There are only two supported options: --lt-debug and
+# --lt-dump-script. There is, deliberately, no --lt-help.
+#
+# The first argument to this parsing function should be the
+# script's ../libtool value, followed by no.
+lt_option_debug=
+func_parse_lt_options ()
+{
+ lt_script_arg0=$0
+ shift
+ for lt_opt
+ do
+ case "$lt_opt" in
+ --lt-debug) lt_option_debug=1 ;;
+ --lt-dump-script)
+ lt_dump_D=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 's%/[^/]*$%%'`
+ test "X$lt_dump_D" = "X$lt_script_arg0" && lt_dump_D=.
+ lt_dump_F=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 's%^.*/%%'`
+ cat "$lt_dump_D/$lt_dump_F"
+ exit 0
+ ;;
+ --lt-*)
+ $ECHO "Unrecognized --lt- option: '$lt_opt'" 1>&2
+ exit 1
+ ;;
+ esac
+ done
+
+ # Print the debug banner immediately:
+ if test -n "$lt_option_debug"; then
+ echo "gtk-builder-tool:gtk-builder-tool:$LINENO: libtool wrapper (GNU libtool) 2.4.6" 1>&2
+ fi
+}
+
+# Used when --lt-debug. Prints its arguments to stdout
+# (redirection is the responsibility of the caller)
+func_lt_dump_args ()
+{
+ lt_dump_args_N=1;
+ for lt_arg
+ do
+ $ECHO "gtk-builder-tool:gtk-builder-tool:$LINENO: newargv[$lt_dump_args_N]: $lt_arg"
+ lt_dump_args_N=`expr $lt_dump_args_N + 1`
+ done
+}
+
+# Core function for launching the target application
+func_exec_program_core ()
+{
+
+ if test -n "$lt_option_debug"; then
+ $ECHO "gtk-builder-tool:gtk-builder-tool:$LINENO: newargv[0]: $progdir/$program" 1>&2
+ func_lt_dump_args ${1+"$@"} 1>&2
+ fi
+ exec "$progdir/$program" ${1+"$@"}
+
+ $ECHO "$0: cannot exec $program $*" 1>&2
+ exit 1
+}
+
+# A function to encapsulate launching the target application
+# Strips options in the --lt-* namespace from $@ and
+# launches target application with the remaining arguments.
+func_exec_program ()
+{
+ case " $* " in
+ *\ --lt-*)
+ for lt_wr_arg
+ do
+ case $lt_wr_arg in
+ --lt-*) ;;
+ *) set x "$@" "$lt_wr_arg"; shift;;
+ esac
+ shift
+ done ;;
+ esac
+ func_exec_program_core ${1+"$@"}
+}
+
+ # Parse options
+ func_parse_lt_options "$0" ${1+"$@"}
+
+ # Find the directory that this script lives in.
+ thisdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
+ test "x$thisdir" = "x$file" && thisdir=.
+
+ # Follow symbolic links until we get to the real thisdir.
+ file=`ls -ld "$file" | /usr/bin/sed -n 's/.*-> //p'`
+ while test -n "$file"; do
+ destdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
+
+ # If there was a directory component, then change thisdir.
+ if test "x$destdir" != "x$file"; then
+ case "$destdir" in
+ [\\/]* | [A-Za-z]:[\\/]*) thisdir="$destdir" ;;
+ *) thisdir="$thisdir/$destdir" ;;
+ esac
+ fi
+
+ file=`$ECHO "$file" | /usr/bin/sed 's%^.*/%%'`
+ file=`ls -ld "$thisdir/$file" | /usr/bin/sed -n 's/.*-> //p'`
+ done
+
+ # Usually 'no', except on cygwin/mingw when embedded into
+ # the cwrapper.
+ WRAPPER_SCRIPT_BELONGS_IN_OBJDIR=no
+ if test "$WRAPPER_SCRIPT_BELONGS_IN_OBJDIR" = "yes"; then
+ # special case for '.'
+ if test "$thisdir" = "."; then
+ thisdir=`pwd`
+ fi
+ # remove .libs from thisdir
+ case "$thisdir" in
+ *[\\/].libs ) thisdir=`$ECHO "$thisdir" | /usr/bin/sed 's%[\\/][^\\/]*$%%'` ;;
+ .libs ) thisdir=. ;;
+ esac
+ fi
+
+ # Try to get the absolute directory name.
+ absdir=`cd "$thisdir" && pwd`
+ test -n "$absdir" && thisdir="$absdir"
+
+ program=lt-'gtk-builder-tool'
+ progdir="$thisdir/.libs"
+
+ if test ! -f "$progdir/$program" ||
+ { file=`ls -1dt "$progdir/$program" "$progdir/../$program" 2>/dev/null | /usr/bin/sed 1q`; \
+ test "X$file" != "X$progdir/$program"; }; then
+
+ file="$$-$program"
+
+ if test ! -d "$progdir"; then
+ mkdir "$progdir"
+ else
+ rm -f "$progdir/$file"
+ fi
+
+ # relink executable if necessary
+ if test -n "$relink_command"; then
+ if relink_command_output=`eval $relink_command 2>&1`; then :
+ else
+ $ECHO "$relink_command_output" >&2
+ rm -f "$progdir/$file"
+ exit 1
+ fi
+ fi
+
+ mv -f "$progdir/$file" "$progdir/$program" 2>/dev/null ||
+ { rm -f "$progdir/$program";
+ mv -f "$progdir/$file" "$progdir/$program"; }
+ rm -f "$progdir/$file"
+ fi
+
+ if test -f "$progdir/$program"; then
+ if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
+ # Run the actual program with our arguments.
+ func_exec_program ${1+"$@"}
+ fi
+ else
+ # The program doesn't exist.
+ $ECHO "$0: error: '$progdir/$program' does not exist" 1>&2
+ $ECHO "This script is just a wrapper for $program." 1>&2
+ $ECHO "See the libtool documentation for more information." 1>&2
+ exit 1
+ fi
+fi
diff --git a/gtk/gtk-encode-symbolic-svg b/gtk/gtk-encode-symbolic-svg
new file mode 100755
index 0000000..b8b7ac3
--- /dev/null
+++ b/gtk/gtk-encode-symbolic-svg
@@ -0,0 +1,228 @@
+#! /bin/sh
+
+# gtk-encode-symbolic-svg - temporary wrapper script for .libs/gtk-encode-symbolic-svg
+# Generated by libtool (GNU libtool) 2.4.6
+#
+# The gtk-encode-symbolic-svg program cannot be directly executed until all the libtool
+# libraries that it depends on are installed.
+#
+# This wrapper script should never be moved out of the build directory.
+# If it is, it will not operate correctly.
+
+# Sed substitution that helps us do robust quoting. It backslashifies
+# metacharacters that are still active within double-quoted strings.
+sed_quote_subst='s|\([`"$\\]\)|\\\1|g'
+
+# Be Bourne compatible
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+ emulate sh
+ NULLCMD=:
+ # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
+ # is contrary to our usage. Disable this feature.
+ alias -g '${1+"$@"}'='"$@"'
+ setopt NO_GLOB_SUBST
+else
+ case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
+fi
+BIN_SH=xpg4; export BIN_SH # for Tru64
+DUALCASE=1; export DUALCASE # for MKS sh
+
+# The HP-UX ksh and POSIX shell print the target directory to stdout
+# if CDPATH is set.
+(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
+
+relink_command="(cd /home/mclasen/Sources/gtk+/gtk; { test -z \"\${LIBRARY_PATH+set}\" || unset LIBRARY_PATH
|| { LIBRARY_PATH=; export LIBRARY_PATH; }; }; { test -z \"\${COMPILER_PATH+set}\" || unset COMPILER_PATH ||
{ COMPILER_PATH=; export COMPILER_PATH; }; }; { test -z \"\${GCC_EXEC_PREFIX+set}\" || unset GCC_EXEC_PREFIX
|| { GCC_EXEC_PREFIX=; export GCC_EXEC_PREFIX; }; }; { test -z \"\${LD_RUN_PATH+set}\" || unset LD_RUN_PATH
|| { LD_RUN_PATH=; export LD_RUN_PATH; }; }; LD_LIBRARY_PATH=/home/mclasen/gnome/lib; export LD_LIBRARY_PATH;
PATH=/home/mclasen/gnome/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/home/mclasen/.local/bin:/home/mclasen/bin;
export PATH; gcc -ggdb -O0 -Wall -o \$progdir/\$file encodesymbolic.o -L/home/mclasen/gnome/lib
../gdk/.libs/libgdk-4.so ../gsk/.libs/libgsk-4.so /home/mclasen/Sources/gtk+/gdk/.libs/libgdk-4.so -lXinerama
-lXrandr -lXcursor -lXext -lrt /home/mclasen/gnome/lib/libpangocairo-1.0.so -lX11 -lXi -lXco
mposite -lXdamage -lXfixes -lcairo-gobject -lcairo /home/mclasen/gnome/lib/libgdk_pixbuf-2.0.so -lpng16
-latk-1.0 -latk-bridge-2.0 -lxkbcommon -lwayland-cursor -lwayland-egl -lwayland-client -lepoxy
/home/mclasen/gnome/lib/libgraphene-1.0.so /home/mclasen/gnome/lib/libpangoft2-1.0.so
/home/mclasen/gnome/lib/libharfbuzz.so /home/mclasen/gnome/lib/libpango-1.0.so
/home/mclasen/gnome/lib/libgthread-2.0.so -lthai -lfontconfig -lfreetype
/home/mclasen/gnome/lib/libgio-2.0.so /home/mclasen/gnome/lib/libgmodule-2.0.so -ldl -lz -lselinux -lresolv
/home/mclasen/gnome/lib/libgobject-2.0.so -lffi /home/mclasen/gnome/lib/libglib-2.0.so -lpcre -lpthread -lm
-pthread -Wl,-rpath -Wl,/home/mclasen/Sources/gtk+/gdk/.libs -Wl,-rpath
-Wl,/home/mclasen/Sources/gtk+/gsk/.libs -Wl,-rpath -Wl,/home/mclasen/gnome/lib -Wl,-rpath
-Wl,/home/mclasen/lib -Wl,-rpath -Wl,/home/mclasen/gnome/lib)"
+
+# This environment variable determines our operation mode.
+if test "$libtool_install_magic" = "%%%MAGIC variable%%%"; then
+ # install mode needs the following variables:
+ generated_by_libtool_version='2.4.6'
+ notinst_deplibs=' ../gdk/libgdk-4.la ../gsk/libgsk-4.la /home/mclasen/Sources/gtk+/gdk/libgdk-4.la'
+else
+ # When we are sourced in execute mode, $file and $ECHO are already set.
+ if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
+ file="$0"
+
+# A function that is used when there is no print builtin or printf.
+func_fallback_echo ()
+{
+ eval 'cat <<_LTECHO_EOF
+$1
+_LTECHO_EOF'
+}
+ ECHO="printf %s\\n"
+ fi
+
+# Very basic option parsing. These options are (a) specific to
+# the libtool wrapper, (b) are identical between the wrapper
+# /script/ and the wrapper /executable/ that is used only on
+# windows platforms, and (c) all begin with the string --lt-
+# (application programs are unlikely to have options that match
+# this pattern).
+#
+# There are only two supported options: --lt-debug and
+# --lt-dump-script. There is, deliberately, no --lt-help.
+#
+# The first argument to this parsing function should be the
+# script's ../libtool value, followed by no.
+lt_option_debug=
+func_parse_lt_options ()
+{
+ lt_script_arg0=$0
+ shift
+ for lt_opt
+ do
+ case "$lt_opt" in
+ --lt-debug) lt_option_debug=1 ;;
+ --lt-dump-script)
+ lt_dump_D=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 's%/[^/]*$%%'`
+ test "X$lt_dump_D" = "X$lt_script_arg0" && lt_dump_D=.
+ lt_dump_F=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 's%^.*/%%'`
+ cat "$lt_dump_D/$lt_dump_F"
+ exit 0
+ ;;
+ --lt-*)
+ $ECHO "Unrecognized --lt- option: '$lt_opt'" 1>&2
+ exit 1
+ ;;
+ esac
+ done
+
+ # Print the debug banner immediately:
+ if test -n "$lt_option_debug"; then
+ echo "gtk-encode-symbolic-svg:gtk-encode-symbolic-svg:$LINENO: libtool wrapper (GNU libtool) 2.4.6" 1>&2
+ fi
+}
+
+# Used when --lt-debug. Prints its arguments to stdout
+# (redirection is the responsibility of the caller)
+func_lt_dump_args ()
+{
+ lt_dump_args_N=1;
+ for lt_arg
+ do
+ $ECHO "gtk-encode-symbolic-svg:gtk-encode-symbolic-svg:$LINENO: newargv[$lt_dump_args_N]: $lt_arg"
+ lt_dump_args_N=`expr $lt_dump_args_N + 1`
+ done
+}
+
+# Core function for launching the target application
+func_exec_program_core ()
+{
+
+ if test -n "$lt_option_debug"; then
+ $ECHO "gtk-encode-symbolic-svg:gtk-encode-symbolic-svg:$LINENO: newargv[0]: $progdir/$program" 1>&2
+ func_lt_dump_args ${1+"$@"} 1>&2
+ fi
+ exec "$progdir/$program" ${1+"$@"}
+
+ $ECHO "$0: cannot exec $program $*" 1>&2
+ exit 1
+}
+
+# A function to encapsulate launching the target application
+# Strips options in the --lt-* namespace from $@ and
+# launches target application with the remaining arguments.
+func_exec_program ()
+{
+ case " $* " in
+ *\ --lt-*)
+ for lt_wr_arg
+ do
+ case $lt_wr_arg in
+ --lt-*) ;;
+ *) set x "$@" "$lt_wr_arg"; shift;;
+ esac
+ shift
+ done ;;
+ esac
+ func_exec_program_core ${1+"$@"}
+}
+
+ # Parse options
+ func_parse_lt_options "$0" ${1+"$@"}
+
+ # Find the directory that this script lives in.
+ thisdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
+ test "x$thisdir" = "x$file" && thisdir=.
+
+ # Follow symbolic links until we get to the real thisdir.
+ file=`ls -ld "$file" | /usr/bin/sed -n 's/.*-> //p'`
+ while test -n "$file"; do
+ destdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
+
+ # If there was a directory component, then change thisdir.
+ if test "x$destdir" != "x$file"; then
+ case "$destdir" in
+ [\\/]* | [A-Za-z]:[\\/]*) thisdir="$destdir" ;;
+ *) thisdir="$thisdir/$destdir" ;;
+ esac
+ fi
+
+ file=`$ECHO "$file" | /usr/bin/sed 's%^.*/%%'`
+ file=`ls -ld "$thisdir/$file" | /usr/bin/sed -n 's/.*-> //p'`
+ done
+
+ # Usually 'no', except on cygwin/mingw when embedded into
+ # the cwrapper.
+ WRAPPER_SCRIPT_BELONGS_IN_OBJDIR=no
+ if test "$WRAPPER_SCRIPT_BELONGS_IN_OBJDIR" = "yes"; then
+ # special case for '.'
+ if test "$thisdir" = "."; then
+ thisdir=`pwd`
+ fi
+ # remove .libs from thisdir
+ case "$thisdir" in
+ *[\\/].libs ) thisdir=`$ECHO "$thisdir" | /usr/bin/sed 's%[\\/][^\\/]*$%%'` ;;
+ .libs ) thisdir=. ;;
+ esac
+ fi
+
+ # Try to get the absolute directory name.
+ absdir=`cd "$thisdir" && pwd`
+ test -n "$absdir" && thisdir="$absdir"
+
+ program=lt-'gtk-encode-symbolic-svg'
+ progdir="$thisdir/.libs"
+
+ if test ! -f "$progdir/$program" ||
+ { file=`ls -1dt "$progdir/$program" "$progdir/../$program" 2>/dev/null | /usr/bin/sed 1q`; \
+ test "X$file" != "X$progdir/$program"; }; then
+
+ file="$$-$program"
+
+ if test ! -d "$progdir"; then
+ mkdir "$progdir"
+ else
+ rm -f "$progdir/$file"
+ fi
+
+ # relink executable if necessary
+ if test -n "$relink_command"; then
+ if relink_command_output=`eval $relink_command 2>&1`; then :
+ else
+ $ECHO "$relink_command_output" >&2
+ rm -f "$progdir/$file"
+ exit 1
+ fi
+ fi
+
+ mv -f "$progdir/$file" "$progdir/$program" 2>/dev/null ||
+ { rm -f "$progdir/$program";
+ mv -f "$progdir/$file" "$progdir/$program"; }
+ rm -f "$progdir/$file"
+ fi
+
+ if test -f "$progdir/$program"; then
+ if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
+ # Run the actual program with our arguments.
+ func_exec_program ${1+"$@"}
+ fi
+ else
+ # The program doesn't exist.
+ $ECHO "$0: error: '$progdir/$program' does not exist" 1>&2
+ $ECHO "This script is just a wrapper for $program." 1>&2
+ $ECHO "See the libtool documentation for more information." 1>&2
+ exit 1
+ fi
+fi
diff --git a/gtk/gtk-launch b/gtk/gtk-launch
new file mode 100755
index 0000000..18e2ffd
--- /dev/null
+++ b/gtk/gtk-launch
@@ -0,0 +1,228 @@
+#! /bin/sh
+
+# gtk-launch - temporary wrapper script for .libs/gtk-launch
+# Generated by libtool (GNU libtool) 2.4.6
+#
+# The gtk-launch program cannot be directly executed until all the libtool
+# libraries that it depends on are installed.
+#
+# This wrapper script should never be moved out of the build directory.
+# If it is, it will not operate correctly.
+
+# Sed substitution that helps us do robust quoting. It backslashifies
+# metacharacters that are still active within double-quoted strings.
+sed_quote_subst='s|\([`"$\\]\)|\\\1|g'
+
+# Be Bourne compatible
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+ emulate sh
+ NULLCMD=:
+ # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
+ # is contrary to our usage. Disable this feature.
+ alias -g '${1+"$@"}'='"$@"'
+ setopt NO_GLOB_SUBST
+else
+ case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
+fi
+BIN_SH=xpg4; export BIN_SH # for Tru64
+DUALCASE=1; export DUALCASE # for MKS sh
+
+# The HP-UX ksh and POSIX shell print the target directory to stdout
+# if CDPATH is set.
+(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
+
+relink_command="(cd /home/mclasen/Sources/gtk+/gtk; { test -z \"\${LIBRARY_PATH+set}\" || unset LIBRARY_PATH
|| { LIBRARY_PATH=; export LIBRARY_PATH; }; }; { test -z \"\${COMPILER_PATH+set}\" || unset COMPILER_PATH ||
{ COMPILER_PATH=; export COMPILER_PATH; }; }; { test -z \"\${GCC_EXEC_PREFIX+set}\" || unset GCC_EXEC_PREFIX
|| { GCC_EXEC_PREFIX=; export GCC_EXEC_PREFIX; }; }; { test -z \"\${LD_RUN_PATH+set}\" || unset LD_RUN_PATH
|| { LD_RUN_PATH=; export LD_RUN_PATH; }; }; LD_LIBRARY_PATH=/home/mclasen/gnome/lib; export LD_LIBRARY_PATH;
PATH=/home/mclasen/gnome/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/home/mclasen/.local/bin:/home/mclasen/bin;
export PATH; gcc -ggdb -O0 -Wall -o \$progdir/\$file gtk-launch.o -L/home/mclasen/gnome/lib
./.libs/libgtk-4.so /home/mclasen/Sources/gtk+/gsk/.libs/libgsk-4.so ../gdk/.libs/libgdk-4.so
../gsk/.libs/libgsk-4.so /home/mclasen/Sources/gtk+/gdk/.libs/libgdk-4.so -lXinerama -lXrandr -lXcursor
-lXext -
lrt /home/mclasen/gnome/lib/libpangocairo-1.0.so -lX11 -lXi -lXcomposite -lXdamage -lXfixes -lcairo-gobject
-lcairo /home/mclasen/gnome/lib/libgdk_pixbuf-2.0.so -lpng16 -latk-1.0 -latk-bridge-2.0 -lxkbcommon
-lwayland-cursor -lwayland-egl -lwayland-client -lepoxy /home/mclasen/gnome/lib/libgraphene-1.0.so
/home/mclasen/gnome/lib/libpangoft2-1.0.so /home/mclasen/gnome/lib/libharfbuzz.so
/home/mclasen/gnome/lib/libpango-1.0.so /home/mclasen/gnome/lib/libgthread-2.0.so -lthai -lfontconfig
-lfreetype /home/mclasen/gnome/lib/libgio-2.0.so /home/mclasen/gnome/lib/libgmodule-2.0.so -ldl -lz -lselinux
-lresolv /home/mclasen/gnome/lib/libgobject-2.0.so -lffi /home/mclasen/gnome/lib/libglib-2.0.so -lpcre
-lpthread -lm -pthread -Wl,-rpath -Wl,/home/mclasen/Sources/gtk+/gtk/.libs -Wl,-rpath
-Wl,/home/mclasen/Sources/gtk+/gsk/.libs -Wl,-rpath -Wl,/home/mclasen/Sources/gtk+/gdk/.libs -Wl,-rpath
-Wl,/home/mclasen/gnome/lib -Wl,-rpath -Wl,/home/mclasen/lib -Wl,-rpath -Wl,/home/mclasen/gnome
/lib)"
+
+# This environment variable determines our operation mode.
+if test "$libtool_install_magic" = "%%%MAGIC variable%%%"; then
+ # install mode needs the following variables:
+ generated_by_libtool_version='2.4.6'
+ notinst_deplibs=' libgtk-4.la /home/mclasen/Sources/gtk+/gsk/libgsk-4.la ../gdk/libgdk-4.la
../gsk/libgsk-4.la /home/mclasen/Sources/gtk+/gdk/libgdk-4.la'
+else
+ # When we are sourced in execute mode, $file and $ECHO are already set.
+ if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
+ file="$0"
+
+# A function that is used when there is no print builtin or printf.
+func_fallback_echo ()
+{
+ eval 'cat <<_LTECHO_EOF
+$1
+_LTECHO_EOF'
+}
+ ECHO="printf %s\\n"
+ fi
+
+# Very basic option parsing. These options are (a) specific to
+# the libtool wrapper, (b) are identical between the wrapper
+# /script/ and the wrapper /executable/ that is used only on
+# windows platforms, and (c) all begin with the string --lt-
+# (application programs are unlikely to have options that match
+# this pattern).
+#
+# There are only two supported options: --lt-debug and
+# --lt-dump-script. There is, deliberately, no --lt-help.
+#
+# The first argument to this parsing function should be the
+# script's ../libtool value, followed by no.
+lt_option_debug=
+func_parse_lt_options ()
+{
+ lt_script_arg0=$0
+ shift
+ for lt_opt
+ do
+ case "$lt_opt" in
+ --lt-debug) lt_option_debug=1 ;;
+ --lt-dump-script)
+ lt_dump_D=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 's%/[^/]*$%%'`
+ test "X$lt_dump_D" = "X$lt_script_arg0" && lt_dump_D=.
+ lt_dump_F=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 's%^.*/%%'`
+ cat "$lt_dump_D/$lt_dump_F"
+ exit 0
+ ;;
+ --lt-*)
+ $ECHO "Unrecognized --lt- option: '$lt_opt'" 1>&2
+ exit 1
+ ;;
+ esac
+ done
+
+ # Print the debug banner immediately:
+ if test -n "$lt_option_debug"; then
+ echo "gtk-launch:gtk-launch:$LINENO: libtool wrapper (GNU libtool) 2.4.6" 1>&2
+ fi
+}
+
+# Used when --lt-debug. Prints its arguments to stdout
+# (redirection is the responsibility of the caller)
+func_lt_dump_args ()
+{
+ lt_dump_args_N=1;
+ for lt_arg
+ do
+ $ECHO "gtk-launch:gtk-launch:$LINENO: newargv[$lt_dump_args_N]: $lt_arg"
+ lt_dump_args_N=`expr $lt_dump_args_N + 1`
+ done
+}
+
+# Core function for launching the target application
+func_exec_program_core ()
+{
+
+ if test -n "$lt_option_debug"; then
+ $ECHO "gtk-launch:gtk-launch:$LINENO: newargv[0]: $progdir/$program" 1>&2
+ func_lt_dump_args ${1+"$@"} 1>&2
+ fi
+ exec "$progdir/$program" ${1+"$@"}
+
+ $ECHO "$0: cannot exec $program $*" 1>&2
+ exit 1
+}
+
+# A function to encapsulate launching the target application
+# Strips options in the --lt-* namespace from $@ and
+# launches target application with the remaining arguments.
+func_exec_program ()
+{
+ case " $* " in
+ *\ --lt-*)
+ for lt_wr_arg
+ do
+ case $lt_wr_arg in
+ --lt-*) ;;
+ *) set x "$@" "$lt_wr_arg"; shift;;
+ esac
+ shift
+ done ;;
+ esac
+ func_exec_program_core ${1+"$@"}
+}
+
+ # Parse options
+ func_parse_lt_options "$0" ${1+"$@"}
+
+ # Find the directory that this script lives in.
+ thisdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
+ test "x$thisdir" = "x$file" && thisdir=.
+
+ # Follow symbolic links until we get to the real thisdir.
+ file=`ls -ld "$file" | /usr/bin/sed -n 's/.*-> //p'`
+ while test -n "$file"; do
+ destdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
+
+ # If there was a directory component, then change thisdir.
+ if test "x$destdir" != "x$file"; then
+ case "$destdir" in
+ [\\/]* | [A-Za-z]:[\\/]*) thisdir="$destdir" ;;
+ *) thisdir="$thisdir/$destdir" ;;
+ esac
+ fi
+
+ file=`$ECHO "$file" | /usr/bin/sed 's%^.*/%%'`
+ file=`ls -ld "$thisdir/$file" | /usr/bin/sed -n 's/.*-> //p'`
+ done
+
+ # Usually 'no', except on cygwin/mingw when embedded into
+ # the cwrapper.
+ WRAPPER_SCRIPT_BELONGS_IN_OBJDIR=no
+ if test "$WRAPPER_SCRIPT_BELONGS_IN_OBJDIR" = "yes"; then
+ # special case for '.'
+ if test "$thisdir" = "."; then
+ thisdir=`pwd`
+ fi
+ # remove .libs from thisdir
+ case "$thisdir" in
+ *[\\/].libs ) thisdir=`$ECHO "$thisdir" | /usr/bin/sed 's%[\\/][^\\/]*$%%'` ;;
+ .libs ) thisdir=. ;;
+ esac
+ fi
+
+ # Try to get the absolute directory name.
+ absdir=`cd "$thisdir" && pwd`
+ test -n "$absdir" && thisdir="$absdir"
+
+ program=lt-'gtk-launch'
+ progdir="$thisdir/.libs"
+
+ if test ! -f "$progdir/$program" ||
+ { file=`ls -1dt "$progdir/$program" "$progdir/../$program" 2>/dev/null | /usr/bin/sed 1q`; \
+ test "X$file" != "X$progdir/$program"; }; then
+
+ file="$$-$program"
+
+ if test ! -d "$progdir"; then
+ mkdir "$progdir"
+ else
+ rm -f "$progdir/$file"
+ fi
+
+ # relink executable if necessary
+ if test -n "$relink_command"; then
+ if relink_command_output=`eval $relink_command 2>&1`; then :
+ else
+ $ECHO "$relink_command_output" >&2
+ rm -f "$progdir/$file"
+ exit 1
+ fi
+ fi
+
+ mv -f "$progdir/$file" "$progdir/$program" 2>/dev/null ||
+ { rm -f "$progdir/$program";
+ mv -f "$progdir/$file" "$progdir/$program"; }
+ rm -f "$progdir/$file"
+ fi
+
+ if test -f "$progdir/$program"; then
+ if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
+ # Run the actual program with our arguments.
+ func_exec_program ${1+"$@"}
+ fi
+ else
+ # The program doesn't exist.
+ $ECHO "$0: error: '$progdir/$program' does not exist" 1>&2
+ $ECHO "This script is just a wrapper for $program." 1>&2
+ $ECHO "See the libtool documentation for more information." 1>&2
+ exit 1
+ fi
+fi
diff --git a/gtk/gtk-query-immodules-4.0 b/gtk/gtk-query-immodules-4.0
new file mode 100755
index 0000000..7a6fb2f
--- /dev/null
+++ b/gtk/gtk-query-immodules-4.0
@@ -0,0 +1,228 @@
+#! /bin/sh
+
+# gtk-query-immodules-4.0 - temporary wrapper script for .libs/gtk-query-immodules-4.0
+# Generated by libtool (GNU libtool) 2.4.6
+#
+# The gtk-query-immodules-4.0 program cannot be directly executed until all the libtool
+# libraries that it depends on are installed.
+#
+# This wrapper script should never be moved out of the build directory.
+# If it is, it will not operate correctly.
+
+# Sed substitution that helps us do robust quoting. It backslashifies
+# metacharacters that are still active within double-quoted strings.
+sed_quote_subst='s|\([`"$\\]\)|\\\1|g'
+
+# Be Bourne compatible
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+ emulate sh
+ NULLCMD=:
+ # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
+ # is contrary to our usage. Disable this feature.
+ alias -g '${1+"$@"}'='"$@"'
+ setopt NO_GLOB_SUBST
+else
+ case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
+fi
+BIN_SH=xpg4; export BIN_SH # for Tru64
+DUALCASE=1; export DUALCASE # for MKS sh
+
+# The HP-UX ksh and POSIX shell print the target directory to stdout
+# if CDPATH is set.
+(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
+
+relink_command="(cd /home/mclasen/Sources/gtk+/gtk; { test -z \"\${LIBRARY_PATH+set}\" || unset LIBRARY_PATH
|| { LIBRARY_PATH=; export LIBRARY_PATH; }; }; { test -z \"\${COMPILER_PATH+set}\" || unset COMPILER_PATH ||
{ COMPILER_PATH=; export COMPILER_PATH; }; }; { test -z \"\${GCC_EXEC_PREFIX+set}\" || unset GCC_EXEC_PREFIX
|| { GCC_EXEC_PREFIX=; export GCC_EXEC_PREFIX; }; }; { test -z \"\${LD_RUN_PATH+set}\" || unset LD_RUN_PATH
|| { LD_RUN_PATH=; export LD_RUN_PATH; }; }; LD_LIBRARY_PATH=/home/mclasen/gnome/lib; export LD_LIBRARY_PATH;
PATH=/home/mclasen/gnome/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/home/mclasen/.local/bin:/home/mclasen/bin;
export PATH; gcc -ggdb -O0 -Wall -o \$progdir/\$file queryimmodules.o gtkutils.o -Wl,--export-dynamic
-pthread -L/home/mclasen/gnome/lib ./.libs/libgtk-4.so /home/mclasen/Sources/gtk+/gsk/.libs/libgsk-4.so
../gdk/.libs/libgdk-4.so ../gsk/.libs/libgsk-4.so /home/mclasen/Sources/gtk+/gdk/.libs/libgd
k-4.so -lXinerama -lXrandr -lXcursor -lXext -lrt /home/mclasen/gnome/lib/libpangocairo-1.0.so -lX11 -lXi
-lXcomposite -lXdamage -lXfixes -lcairo-gobject -lcairo /home/mclasen/gnome/lib/libgdk_pixbuf-2.0.so -lpng16
-latk-1.0 -latk-bridge-2.0 -lxkbcommon -lwayland-cursor -lwayland-egl -lwayland-client -lepoxy
/home/mclasen/gnome/lib/libgraphene-1.0.so /home/mclasen/gnome/lib/libpangoft2-1.0.so
/home/mclasen/gnome/lib/libharfbuzz.so /home/mclasen/gnome/lib/libpango-1.0.so
/home/mclasen/gnome/lib/libgthread-2.0.so -lthai -lfontconfig -lfreetype
/home/mclasen/gnome/lib/libgio-2.0.so /home/mclasen/gnome/lib/libgmodule-2.0.so -ldl -lz -lselinux -lresolv
/home/mclasen/gnome/lib/libgobject-2.0.so -lffi /home/mclasen/gnome/lib/libglib-2.0.so -lpcre -lpthread -lm
-pthread -Wl,-rpath -Wl,/home/mclasen/Sources/gtk+/gtk/.libs -Wl,-rpath
-Wl,/home/mclasen/Sources/gtk+/gsk/.libs -Wl,-rpath -Wl,/home/mclasen/Sources/gtk+/gdk/.libs -Wl,-rpath
-Wl,/home/mclasen/gnome/lib -Wl,-rpath -Wl,/home/m
clasen/lib -Wl,-rpath -Wl,/home/mclasen/gnome/lib)"
+
+# This environment variable determines our operation mode.
+if test "$libtool_install_magic" = "%%%MAGIC variable%%%"; then
+ # install mode needs the following variables:
+ generated_by_libtool_version='2.4.6'
+ notinst_deplibs=' libgtk-4.la /home/mclasen/Sources/gtk+/gsk/libgsk-4.la ../gdk/libgdk-4.la
../gsk/libgsk-4.la /home/mclasen/Sources/gtk+/gdk/libgdk-4.la'
+else
+ # When we are sourced in execute mode, $file and $ECHO are already set.
+ if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
+ file="$0"
+
+# A function that is used when there is no print builtin or printf.
+func_fallback_echo ()
+{
+ eval 'cat <<_LTECHO_EOF
+$1
+_LTECHO_EOF'
+}
+ ECHO="printf %s\\n"
+ fi
+
+# Very basic option parsing. These options are (a) specific to
+# the libtool wrapper, (b) are identical between the wrapper
+# /script/ and the wrapper /executable/ that is used only on
+# windows platforms, and (c) all begin with the string --lt-
+# (application programs are unlikely to have options that match
+# this pattern).
+#
+# There are only two supported options: --lt-debug and
+# --lt-dump-script. There is, deliberately, no --lt-help.
+#
+# The first argument to this parsing function should be the
+# script's ../libtool value, followed by no.
+lt_option_debug=
+func_parse_lt_options ()
+{
+ lt_script_arg0=$0
+ shift
+ for lt_opt
+ do
+ case "$lt_opt" in
+ --lt-debug) lt_option_debug=1 ;;
+ --lt-dump-script)
+ lt_dump_D=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 's%/[^/]*$%%'`
+ test "X$lt_dump_D" = "X$lt_script_arg0" && lt_dump_D=.
+ lt_dump_F=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 's%^.*/%%'`
+ cat "$lt_dump_D/$lt_dump_F"
+ exit 0
+ ;;
+ --lt-*)
+ $ECHO "Unrecognized --lt- option: '$lt_opt'" 1>&2
+ exit 1
+ ;;
+ esac
+ done
+
+ # Print the debug banner immediately:
+ if test -n "$lt_option_debug"; then
+ echo "gtk-query-immodules-4.0:gtk-query-immodules-4.0:$LINENO: libtool wrapper (GNU libtool) 2.4.6" 1>&2
+ fi
+}
+
+# Used when --lt-debug. Prints its arguments to stdout
+# (redirection is the responsibility of the caller)
+func_lt_dump_args ()
+{
+ lt_dump_args_N=1;
+ for lt_arg
+ do
+ $ECHO "gtk-query-immodules-4.0:gtk-query-immodules-4.0:$LINENO: newargv[$lt_dump_args_N]: $lt_arg"
+ lt_dump_args_N=`expr $lt_dump_args_N + 1`
+ done
+}
+
+# Core function for launching the target application
+func_exec_program_core ()
+{
+
+ if test -n "$lt_option_debug"; then
+ $ECHO "gtk-query-immodules-4.0:gtk-query-immodules-4.0:$LINENO: newargv[0]: $progdir/$program" 1>&2
+ func_lt_dump_args ${1+"$@"} 1>&2
+ fi
+ exec "$progdir/$program" ${1+"$@"}
+
+ $ECHO "$0: cannot exec $program $*" 1>&2
+ exit 1
+}
+
+# A function to encapsulate launching the target application
+# Strips options in the --lt-* namespace from $@ and
+# launches target application with the remaining arguments.
+func_exec_program ()
+{
+ case " $* " in
+ *\ --lt-*)
+ for lt_wr_arg
+ do
+ case $lt_wr_arg in
+ --lt-*) ;;
+ *) set x "$@" "$lt_wr_arg"; shift;;
+ esac
+ shift
+ done ;;
+ esac
+ func_exec_program_core ${1+"$@"}
+}
+
+ # Parse options
+ func_parse_lt_options "$0" ${1+"$@"}
+
+ # Find the directory that this script lives in.
+ thisdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
+ test "x$thisdir" = "x$file" && thisdir=.
+
+ # Follow symbolic links until we get to the real thisdir.
+ file=`ls -ld "$file" | /usr/bin/sed -n 's/.*-> //p'`
+ while test -n "$file"; do
+ destdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
+
+ # If there was a directory component, then change thisdir.
+ if test "x$destdir" != "x$file"; then
+ case "$destdir" in
+ [\\/]* | [A-Za-z]:[\\/]*) thisdir="$destdir" ;;
+ *) thisdir="$thisdir/$destdir" ;;
+ esac
+ fi
+
+ file=`$ECHO "$file" | /usr/bin/sed 's%^.*/%%'`
+ file=`ls -ld "$thisdir/$file" | /usr/bin/sed -n 's/.*-> //p'`
+ done
+
+ # Usually 'no', except on cygwin/mingw when embedded into
+ # the cwrapper.
+ WRAPPER_SCRIPT_BELONGS_IN_OBJDIR=no
+ if test "$WRAPPER_SCRIPT_BELONGS_IN_OBJDIR" = "yes"; then
+ # special case for '.'
+ if test "$thisdir" = "."; then
+ thisdir=`pwd`
+ fi
+ # remove .libs from thisdir
+ case "$thisdir" in
+ *[\\/].libs ) thisdir=`$ECHO "$thisdir" | /usr/bin/sed 's%[\\/][^\\/]*$%%'` ;;
+ .libs ) thisdir=. ;;
+ esac
+ fi
+
+ # Try to get the absolute directory name.
+ absdir=`cd "$thisdir" && pwd`
+ test -n "$absdir" && thisdir="$absdir"
+
+ program=lt-'gtk-query-immodules-4.0'
+ progdir="$thisdir/.libs"
+
+ if test ! -f "$progdir/$program" ||
+ { file=`ls -1dt "$progdir/$program" "$progdir/../$program" 2>/dev/null | /usr/bin/sed 1q`; \
+ test "X$file" != "X$progdir/$program"; }; then
+
+ file="$$-$program"
+
+ if test ! -d "$progdir"; then
+ mkdir "$progdir"
+ else
+ rm -f "$progdir/$file"
+ fi
+
+ # relink executable if necessary
+ if test -n "$relink_command"; then
+ if relink_command_output=`eval $relink_command 2>&1`; then :
+ else
+ $ECHO "$relink_command_output" >&2
+ rm -f "$progdir/$file"
+ exit 1
+ fi
+ fi
+
+ mv -f "$progdir/$file" "$progdir/$program" 2>/dev/null ||
+ { rm -f "$progdir/$program";
+ mv -f "$progdir/$file" "$progdir/$program"; }
+ rm -f "$progdir/$file"
+ fi
+
+ if test -f "$progdir/$program"; then
+ if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
+ # Run the actual program with our arguments.
+ func_exec_program ${1+"$@"}
+ fi
+ else
+ # The program doesn't exist.
+ $ECHO "$0: error: '$progdir/$program' does not exist" 1>&2
+ $ECHO "This script is just a wrapper for $program." 1>&2
+ $ECHO "See the libtool documentation for more information." 1>&2
+ exit 1
+ fi
+fi
diff --git a/gtk/gtk-query-settings b/gtk/gtk-query-settings
new file mode 100755
index 0000000..c28c177
--- /dev/null
+++ b/gtk/gtk-query-settings
@@ -0,0 +1,228 @@
+#! /bin/sh
+
+# gtk-query-settings - temporary wrapper script for .libs/gtk-query-settings
+# Generated by libtool (GNU libtool) 2.4.6
+#
+# The gtk-query-settings program cannot be directly executed until all the libtool
+# libraries that it depends on are installed.
+#
+# This wrapper script should never be moved out of the build directory.
+# If it is, it will not operate correctly.
+
+# Sed substitution that helps us do robust quoting. It backslashifies
+# metacharacters that are still active within double-quoted strings.
+sed_quote_subst='s|\([`"$\\]\)|\\\1|g'
+
+# Be Bourne compatible
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+ emulate sh
+ NULLCMD=:
+ # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
+ # is contrary to our usage. Disable this feature.
+ alias -g '${1+"$@"}'='"$@"'
+ setopt NO_GLOB_SUBST
+else
+ case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
+fi
+BIN_SH=xpg4; export BIN_SH # for Tru64
+DUALCASE=1; export DUALCASE # for MKS sh
+
+# The HP-UX ksh and POSIX shell print the target directory to stdout
+# if CDPATH is set.
+(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
+
+relink_command="(cd /home/mclasen/Sources/gtk+/gtk; { test -z \"\${LIBRARY_PATH+set}\" || unset LIBRARY_PATH
|| { LIBRARY_PATH=; export LIBRARY_PATH; }; }; { test -z \"\${COMPILER_PATH+set}\" || unset COMPILER_PATH ||
{ COMPILER_PATH=; export COMPILER_PATH; }; }; { test -z \"\${GCC_EXEC_PREFIX+set}\" || unset GCC_EXEC_PREFIX
|| { GCC_EXEC_PREFIX=; export GCC_EXEC_PREFIX; }; }; { test -z \"\${LD_RUN_PATH+set}\" || unset LD_RUN_PATH
|| { LD_RUN_PATH=; export LD_RUN_PATH; }; }; LD_LIBRARY_PATH=/home/mclasen/gnome/lib; export LD_LIBRARY_PATH;
PATH=/home/mclasen/gnome/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/home/mclasen/.local/bin:/home/mclasen/bin;
export PATH; gcc -ggdb -O0 -Wall -o \$progdir/\$file gtk-query-settings.o -L/home/mclasen/gnome/lib
./.libs/libgtk-4.so /home/mclasen/Sources/gtk+/gsk/.libs/libgsk-4.so ../gdk/.libs/libgdk-4.so
../gsk/.libs/libgsk-4.so /home/mclasen/Sources/gtk+/gdk/.libs/libgdk-4.so -lXinerama -lXrandr -lXcursor
-lXext -lrt /home/mclasen/gnome/lib/libpangocairo-1.0.so -lX11 -lXi -lXcomposite -lXdamage -lXfixes
-lcairo-gobject -lcairo /home/mclasen/gnome/lib/libgdk_pixbuf-2.0.so -lpng16 -latk-1.0 -latk-bridge-2.0
-lxkbcommon -lwayland-cursor -lwayland-egl -lwayland-client -lepoxy
/home/mclasen/gnome/lib/libgraphene-1.0.so /home/mclasen/gnome/lib/libpangoft2-1.0.so
/home/mclasen/gnome/lib/libharfbuzz.so /home/mclasen/gnome/lib/libpango-1.0.so
/home/mclasen/gnome/lib/libgthread-2.0.so -lthai -lfontconfig -lfreetype
/home/mclasen/gnome/lib/libgio-2.0.so /home/mclasen/gnome/lib/libgmodule-2.0.so -ldl -lz -lselinux -lresolv
/home/mclasen/gnome/lib/libgobject-2.0.so -lffi /home/mclasen/gnome/lib/libglib-2.0.so -lpcre -lpthread -lm
-pthread -Wl,-rpath -Wl,/home/mclasen/Sources/gtk+/gtk/.libs -Wl,-rpath
-Wl,/home/mclasen/Sources/gtk+/gsk/.libs -Wl,-rpath -Wl,/home/mclasen/Sources/gtk+/gdk/.libs -Wl,-rpath
-Wl,/home/mclasen/gnome/lib -Wl,-rpath -Wl,/home/mclasen/lib -Wl,-rpath -Wl,/home/mclas
en/gnome/lib)"
+
+# This environment variable determines our operation mode.
+if test "$libtool_install_magic" = "%%%MAGIC variable%%%"; then
+ # install mode needs the following variables:
+ generated_by_libtool_version='2.4.6'
+ notinst_deplibs=' libgtk-4.la /home/mclasen/Sources/gtk+/gsk/libgsk-4.la ../gdk/libgdk-4.la
../gsk/libgsk-4.la /home/mclasen/Sources/gtk+/gdk/libgdk-4.la'
+else
+ # When we are sourced in execute mode, $file and $ECHO are already set.
+ if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
+ file="$0"
+
+# A function that is used when there is no print builtin or printf.
+func_fallback_echo ()
+{
+ eval 'cat <<_LTECHO_EOF
+$1
+_LTECHO_EOF'
+}
+ ECHO="printf %s\\n"
+ fi
+
+# Very basic option parsing. These options are (a) specific to
+# the libtool wrapper, (b) are identical between the wrapper
+# /script/ and the wrapper /executable/ that is used only on
+# windows platforms, and (c) all begin with the string --lt-
+# (application programs are unlikely to have options that match
+# this pattern).
+#
+# There are only two supported options: --lt-debug and
+# --lt-dump-script. There is, deliberately, no --lt-help.
+#
+# The first argument to this parsing function should be the
+# script's ../libtool value, followed by no.
+lt_option_debug=
+func_parse_lt_options ()
+{
+ lt_script_arg0=$0
+ shift
+ for lt_opt
+ do
+ case "$lt_opt" in
+ --lt-debug) lt_option_debug=1 ;;
+ --lt-dump-script)
+ lt_dump_D=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 's%/[^/]*$%%'`
+ test "X$lt_dump_D" = "X$lt_script_arg0" && lt_dump_D=.
+ lt_dump_F=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 's%^.*/%%'`
+ cat "$lt_dump_D/$lt_dump_F"
+ exit 0
+ ;;
+ --lt-*)
+ $ECHO "Unrecognized --lt- option: '$lt_opt'" 1>&2
+ exit 1
+ ;;
+ esac
+ done
+
+ # Print the debug banner immediately:
+ if test -n "$lt_option_debug"; then
+ echo "gtk-query-settings:gtk-query-settings:$LINENO: libtool wrapper (GNU libtool) 2.4.6" 1>&2
+ fi
+}
+
+# Used when --lt-debug. Prints its arguments to stdout
+# (redirection is the responsibility of the caller)
+func_lt_dump_args ()
+{
+ lt_dump_args_N=1;
+ for lt_arg
+ do
+ $ECHO "gtk-query-settings:gtk-query-settings:$LINENO: newargv[$lt_dump_args_N]: $lt_arg"
+ lt_dump_args_N=`expr $lt_dump_args_N + 1`
+ done
+}
+
+# Core function for launching the target application
+func_exec_program_core ()
+{
+
+ if test -n "$lt_option_debug"; then
+ $ECHO "gtk-query-settings:gtk-query-settings:$LINENO: newargv[0]: $progdir/$program" 1>&2
+ func_lt_dump_args ${1+"$@"} 1>&2
+ fi
+ exec "$progdir/$program" ${1+"$@"}
+
+ $ECHO "$0: cannot exec $program $*" 1>&2
+ exit 1
+}
+
+# A function to encapsulate launching the target application
+# Strips options in the --lt-* namespace from $@ and
+# launches target application with the remaining arguments.
+func_exec_program ()
+{
+ case " $* " in
+ *\ --lt-*)
+ for lt_wr_arg
+ do
+ case $lt_wr_arg in
+ --lt-*) ;;
+ *) set x "$@" "$lt_wr_arg"; shift;;
+ esac
+ shift
+ done ;;
+ esac
+ func_exec_program_core ${1+"$@"}
+}
+
+ # Parse options
+ func_parse_lt_options "$0" ${1+"$@"}
+
+ # Find the directory that this script lives in.
+ thisdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
+ test "x$thisdir" = "x$file" && thisdir=.
+
+ # Follow symbolic links until we get to the real thisdir.
+ file=`ls -ld "$file" | /usr/bin/sed -n 's/.*-> //p'`
+ while test -n "$file"; do
+ destdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
+
+ # If there was a directory component, then change thisdir.
+ if test "x$destdir" != "x$file"; then
+ case "$destdir" in
+ [\\/]* | [A-Za-z]:[\\/]*) thisdir="$destdir" ;;
+ *) thisdir="$thisdir/$destdir" ;;
+ esac
+ fi
+
+ file=`$ECHO "$file" | /usr/bin/sed 's%^.*/%%'`
+ file=`ls -ld "$thisdir/$file" | /usr/bin/sed -n 's/.*-> //p'`
+ done
+
+ # Usually 'no', except on cygwin/mingw when embedded into
+ # the cwrapper.
+ WRAPPER_SCRIPT_BELONGS_IN_OBJDIR=no
+ if test "$WRAPPER_SCRIPT_BELONGS_IN_OBJDIR" = "yes"; then
+ # special case for '.'
+ if test "$thisdir" = "."; then
+ thisdir=`pwd`
+ fi
+ # remove .libs from thisdir
+ case "$thisdir" in
+ *[\\/].libs ) thisdir=`$ECHO "$thisdir" | /usr/bin/sed 's%[\\/][^\\/]*$%%'` ;;
+ .libs ) thisdir=. ;;
+ esac
+ fi
+
+ # Try to get the absolute directory name.
+ absdir=`cd "$thisdir" && pwd`
+ test -n "$absdir" && thisdir="$absdir"
+
+ program=lt-'gtk-query-settings'
+ progdir="$thisdir/.libs"
+
+ if test ! -f "$progdir/$program" ||
+ { file=`ls -1dt "$progdir/$program" "$progdir/../$program" 2>/dev/null | /usr/bin/sed 1q`; \
+ test "X$file" != "X$progdir/$program"; }; then
+
+ file="$$-$program"
+
+ if test ! -d "$progdir"; then
+ mkdir "$progdir"
+ else
+ rm -f "$progdir/$file"
+ fi
+
+ # relink executable if necessary
+ if test -n "$relink_command"; then
+ if relink_command_output=`eval $relink_command 2>&1`; then :
+ else
+ $ECHO "$relink_command_output" >&2
+ rm -f "$progdir/$file"
+ exit 1
+ fi
+ fi
+
+ mv -f "$progdir/$file" "$progdir/$program" 2>/dev/null ||
+ { rm -f "$progdir/$program";
+ mv -f "$progdir/$file" "$progdir/$program"; }
+ rm -f "$progdir/$file"
+ fi
+
+ if test -f "$progdir/$program"; then
+ if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
+ # Run the actual program with our arguments.
+ func_exec_program ${1+"$@"}
+ fi
+ else
+ # The program doesn't exist.
+ $ECHO "$0: error: '$progdir/$program' does not exist" 1>&2
+ $ECHO "This script is just a wrapper for $program." 1>&2
+ $ECHO "See the libtool documentation for more information." 1>&2
+ exit 1
+ fi
+fi
diff --git a/gtk/gtk-update-icon-cache b/gtk/gtk-update-icon-cache
new file mode 100755
index 0000000..8857250
Binary files /dev/null and b/gtk/gtk-update-icon-cache differ
diff --git a/gtk/gtkfilechooser.c b/gtk/gtkfilechooser.c
index 0a27b9c..35de3b3 100644
--- a/gtk/gtkfilechooser.c
+++ b/gtk/gtkfilechooser.c
@@ -387,7 +387,7 @@ gtk_file_chooser_default_init (GtkFileChooserInterface *iface)
g_param_spec_boolean ("local-only",
P_("Local Only"),
P_("Whether the selected file(s) should be
limited to local file: URLs"),
- TRUE,
+ FALSE,
GTK_PARAM_READWRITE));
g_object_interface_install_property (iface,
g_param_spec_object ("preview-widget",
diff --git a/gtk/gtkfilechooserentry.c b/gtk/gtkfilechooserentry.c
index 0805b13..5c1ca1f 100644
--- a/gtk/gtkfilechooserentry.c
+++ b/gtk/gtkfilechooserentry.c
@@ -185,8 +185,6 @@ _gtk_file_chooser_entry_init (GtkFileChooserEntry *chooser_entry)
GtkEntryCompletion *comp;
GtkCellRenderer *cell;
- chooser_entry->local_only = TRUE;
-
g_object_set (chooser_entry, "truncate-multiline", TRUE, NULL);
comp = gtk_entry_completion_new ();
diff --git a/gtk/gtkfilechooserwidget.c b/gtk/gtkfilechooserwidget.c
index c323cb8..6a270ff 100644
--- a/gtk/gtkfilechooserwidget.c
+++ b/gtk/gtkfilechooserwidget.c
@@ -8622,7 +8622,7 @@ gtk_file_chooser_widget_init (GtkFileChooserWidget *impl)
impl->priv = gtk_file_chooser_widget_get_instance_private (impl);
priv = impl->priv;
- priv->local_only = TRUE;
+ priv->local_only = FALSE;
priv->preview_widget_active = TRUE;
priv->use_preview_label = TRUE;
priv->select_multiple = FALSE;
diff --git a/gtk/gtkplacesview.c b/gtk/gtkplacesview.c
index 17ed7bd..f3a19df 100644
--- a/gtk/gtkplacesview.c
+++ b/gtk/gtkplacesview.c
@@ -1876,6 +1876,7 @@ on_address_entry_show_help_pressed (GtkPlacesView *view,
GtkPlacesViewPrivate *priv;
GdkRectangle rect;
+g_print ("show help\n");
priv = gtk_places_view_get_instance_private (view);
/* Setup the auxiliary popover's rectangle */
diff --git a/gtk/libgtk3.manifest b/gtk/libgtk3.manifest
new file mode 100644
index 0000000..c7d221b
--- /dev/null
+++ b/gtk/libgtk3.manifest
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
+<assembly xmlns="urn:schemas-microsoft-com:asm.v1" manifestVersion="1.0">
+ <assemblyIdentity
+ version="1.0.0.0"
+ processorArchitecture="X86"
+ name="libgtk3"
+ type="win32"
+ />
+ <dependency>
+ <dependentAssembly>
+ <assemblyIdentity
+ type="win32"
+ name="Microsoft.Windows.Common-Controls"
+ version="6.0.0.0"
+ processorArchitecture="X86"
+ publicKeyToken="6595b64144ccf1df"
+ language="*"
+ />
+ </dependentAssembly>
+ </dependency>
+</assembly>
diff --git a/gtk/resource-XXI2MYQY b/gtk/resource-XXI2MYQY
new file mode 100644
index 0000000..e69de29
diff --git a/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/_colors-public.scssc
b/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/_colors-public.scssc
new file mode 100644
index 0000000..5c0dbe0
Binary files /dev/null and
b/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/_colors-public.scssc differ
diff --git a/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/_colors.scssc
b/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/_colors.scssc
new file mode 100644
index 0000000..4b0a5bc
Binary files /dev/null and
b/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/_colors.scssc differ
diff --git a/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/_common.scssc
b/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/_common.scssc
new file mode 100644
index 0000000..b39ecb7
Binary files /dev/null and
b/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/_common.scssc differ
diff --git a/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/_drawing.scssc
b/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/_drawing.scssc
new file mode 100644
index 0000000..05fce1c
Binary files /dev/null and
b/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/_drawing.scssc differ
diff --git a/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/gtk-contained-dark.scssc
b/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/gtk-contained-dark.scssc
new file mode 100644
index 0000000..2d2bdc4
Binary files /dev/null and
b/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/gtk-contained-dark.scssc differ
diff --git a/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/gtk-contained.scssc
b/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/gtk-contained.scssc
new file mode 100644
index 0000000..8c72120
Binary files /dev/null and
b/gtk/theme/Adwaita/.sass-cache/6fcb3453ebd5cb0e15d1145902813cc64b12325f/gtk-contained.scssc differ
diff --git a/gtk/theme/Adwaita/Gemfile.lock b/gtk/theme/Adwaita/Gemfile.lock
new file mode 100644
index 0000000..963572e
--- /dev/null
+++ b/gtk/theme/Adwaita/Gemfile.lock
@@ -0,0 +1,13 @@
+GEM
+ remote: https://rubygems.org/
+ specs:
+ sass (3.4.22)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ sass (~> 3.4.0)
+
+BUNDLED WITH
+ 1.12.5
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]